Subject: RE: [Sip] doubt regarding early session in sip RFC 3959/3960

From: "Brett Tate" <[email-masked]>
Date: Mon, 7 Jan 2008 18:41:54 -0500

> UAS is expecting " early-answer " in PRACK from 
> the UAC, what will happen if UAC does not 
> support "100rel" (RFC 3262). 

RFC 3959 section 4 indicates that early-session must follow the
offer/answer model.  Thus an early-session cannot be setup by indicating
an offer within 18x when 100rel is not being used.

> And RFC 3959 is not mandating the "100rel" extension 
> at UA for the same. Can anyone give an example of  
> early session flow in case of  UAC is not 
> supporting "100rel". (UPDATE..?) 
	
It is generically discussed within rfc3959 section 4.  

UPDATE and rfc3311 are not specifically discussed with rfc3959.  I'm not
sure if this was an oversight or because maybe UPDATE currently defined
to "modify" a session instead of "establish" a session.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip